=== debian/changelog ===
libglshim (0.1-maemo1) unstable; urgency=low
	
  * Initial version

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 04 Aug 2013 15:47:31 +0200
