## libglshim 0.1-maemo2

=== debian/changelog ===
libglshim (0.1-maemo2) unstable; urgency=low
	
  *Add: dh_makeshlibs

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 05 Aug 2013 21:34:31 +0200
