## libglshim 0.1-maemo3

=== debian/changelog ===
libglshim (0.1-maemo3) unstable; urgency=low

  * Can be used with freeglut3 / freeglut3-dev
   -libglshim provides libgl1
   -libglsim-dev provies libgl-dev

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 06 Aug 2013 13:23:31 +0200
