=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 Package: libglshim-dev
 Architecture: any
 Depends: ${shlibs:Depends}, libglshim
-Replaces: libgl1-dev
-Provides: libgl1-dev
-Conflicts: libgl1-dev
+Replaces: libgl-dev
+Provides: libgl-dev
+Conflicts: libgl-dev
 Description: GL to GLES
