## libglshim 0.1-maemo4

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,12 @@
 
 add_library(GL SHARED ${GL_SOURCES})
 target_link_libraries(GL EGL)
+add_library(GL_static STATIC ${GL_SOURCES})
+set_target_properties(GL_static PROPERTIES OUTPUT_NAME GL)
 
-add_library(GL2 SHARED ${GL_SOURCES})
+add_library(GL2 SHARED EXCLUDE_FROM_ALL ${GL_SOURCES})
 target_link_libraries(GL2 EGL)
-SET_TARGET_PROPERTIES(GL2 PROPERTIES COMPILE_FLAGS -DUSE_ES2)
+set_target_properties(GL2 PROPERTIES COMPILE_FLAGS -DUSE_ES2)
 
 if(BCMHOST)
     set(PI_LIBS bcm_host vcos pthread)
@@ -33,19 +35,10 @@
     set_target_properties(GL2 PROPERTIES SUFFIX ".so.1")
 endif()
 
-aux_source_directory(glu GLU_SOURCES)
-add_library(GLU SHARED ${GLU_SOURCES})
-target_link_libraries(GLU GL)
-
 aux_source_directory(preload PRELOAD_SOURCES)
 add_library(preload SHARED ${PRELOAD_SOURCES})
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     target_link_libraries(preload X11)
 endif()
 
-aux_source_directory(proxy PROXY_SOURCES)
-add_library(proxy SHARED ${PROXY_SOURCES})
-
-aux_source_directory(tests TEST_SOURCES)
-add_executable(test ${TEST_SOURCES})
-target_link_libraries(test proxy)
+add_subdirectory(proxy)
