=== debian/changelog ===
libglshim (0.1-maemo4) unstable; urgency=low

  * New code from https://github.com/lunixbochs/glshim
  * Add: libglshim depends libgles1 (always really depended, but missed from list)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 23 Jan 2014 20:39:31 +0200
