=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Replaces: libgl1
 Provides: libgl1
 Conflicts: libgl1
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libgles1
 Description: GL to GLES
 
 Package: libglshim-dev
