=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-
+	touch config.status
 configure:
 
 build: build-stamp
@@ -47,7 +47,8 @@
 
 	touch build-stamp
 
-clean: config.status
+#clean: config.status
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
@@ -71,13 +72,13 @@
 	cp -r include/GL ${CURDIR}/debian/libglshim-dev/usr/include/
 
 	mkdir -p ${CURDIR}/debian/libglshim/usr/lib
-	cp ${CURDIR}/build/src/libGL.so.1  ${CURDIR}/debian/libglshim/usr/lib/
+	cp ${CURDIR}/build/lib/libGL.so.1  ${CURDIR}/debian/libglshim/usr/lib/
 	ln -s libGL.so.1 ${CURDIR}/debian/libglshim/usr/lib/libGL.so
 endif
 
 
 # Build architecture-independent files here.
-binary-indep: build install
+# binary-indep: build install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
@@ -115,5 +116,5 @@
 	dh_md5sums
 	dh_builddeb
 
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+binary: binary-arch
+.PHONY: build clean binary-arch binary install
